summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorLudwig Nussel <ludwig.nussel@suse.de>2010-03-05 16:49:49 +0100
committerLudwig Nussel <ludwig.nussel@suse.de>2010-03-05 17:02:13 +0100
commit2204f4fb779c18417ac378c450a1747eca22ce7c (patch)
treee4007efdb299a15ab559e90a3d66565f3f017821 /test
parent93dc6a39a523e73a0d943723de3034af6fc0c626 (diff)
add more exit checks
it's now possible to stop the build script during prepare stage. There's still a window between umounting the image and starting the vm where a kill reqest can get lost though.
Diffstat (limited to 'test')
-rw-r--r--test/common2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/common b/test/common
index 3625179..057e7cc 100644
--- a/test/common
+++ b/test/common
@@ -98,5 +98,5 @@ run_build()
"${build_args[@]}"
echo "$@"
"$@" || fail
- find $build_root/.build.packages/ -type f -name '*.rpm' -print0 | xargs -0 rpm -K || fail
+ find $build_root/.build.packages/ -type f -name '*.rpm' -print0 | xargs --no-run-if-empty -0 rpm -K || fail
}